{
    "windows": {
        "options": {
            "shell": {
                "executable": "cmd.exe",
                "args": [
                "/C",
                "${workspaceFolder}\\msvc.bat ${fileDirname}\\cl",
                "&&"        
                ]
            }
        }
    },
    "tasks": [
        {
            "type": "shell",
            "label": "C/C++ MSVC: build to cl",
            "command": "cl.exe",
            "args": [
                "/std:c++latest",
                "/Zi",
                "/EHsc",
                "/FS",
                "/Fe:",
                "${fileDirname}\\cl\\${fileBasenameNoExtension}.exe",
                "${fileDirname}/*.c*",
                "/Fo:",
                "${fileDirname}\\cl\\",
                "/Fd:",
                "${fileDirname}\\cl\\"
            ],
            "options": {
                "cwd": "${fileDirname}"
            },
            "problemMatcher": [
                "$msCompile"
            ],
            "group": "build"
        },
        {
            "type": "cppbuild",
            "label": "C/C++ gcc: build to gcc",
            "command": "g++.exe",
            "args": [
                "-fdiagnostics-color=always",
                "-std=c++2b",
                "-g",
                "${fileDirname}/*.c*",
                "-o",
                "${fileDirname}/gcc/${fileBasenameNoExtension}.exe"
            ],
            "options": {
                "cwd": "${fileDirname}"
            },
            "problemMatcher": [
                "$gcc"
            ],
            "group": {
                "kind": "build"
            }
        }
    ],
    "version": "2.0.0"
}